%define ver_major 0.13
%def_enable debug

Name: krb5-auth-dialog
Version: %ver_major
Release: alt1

Summary: Kerberos 5 authentication dialog
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://redhat.com

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.4.0
%define nm_ver 0.5
%define dbus_ver 0.60
%define notify_ver 0.4

Requires(post,preun): GConf

BuildPreReq: libdbus-glib-devel >= %dbus_ver
BuildPreReq: libnotify-devel >= %notify_ver
BuildPreReq: NetworkManager-glib-devel >= %nm_ver
BuildRequires: flex libGConf-devel libkrb5-devel libcap-devel
BuildRequires: intltool perl-XML-Parser librarian gnome-doc-utils

%description
krb5-auth-dialog is a simple dialog that monitors kerberos tickets, and
pops up a dialog when they are about to expire.

%prep
%setup -q

%build
%autoreconf
%configure \
	--disable-schemas-install \
	--enable-network-manager \
	%{?_enable_debug:--enable-debug=yes}

%make_build

%install
%makeinstall
%find_lang --with-gnome %name 

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/applications/%name-preferences.desktop
%_datadir/dbus-1/services/org.gnome.KrbAuthDialog.service
%_iconsdir/hicolor/*/*/*.*
%_sysconfdir/gconf/schemas/*.schemas
%_sysconfdir/xdg/autostart/*.desktop
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README 

%changelog
* Mon Sep 28 2009 Yuri N. Sedunov <aris@altlinux.org> 0.13-alt1
- 0.13
- updated buildreqs

* Tue May 26 2009 Yuri N. Sedunov <aris@altlinux.org> 0.10-alt1
- new version
- updated buildreqs

* Mon May 04 2009 Yuri N. Sedunov <aris@altlinux.org> 0.9.1-alt1
- first build for Sisyphus



